Str(3)

NAME
Heap::Elem::Str - Perl extension for String Heap Elements

SYNOPSIS
  use Heap::Elem::Str( StrElem );
  use Heap::Fibonacci;

  my $heap = Heap::Fibonacci->new;
  my $elem;

  foreach $i ( 'aa'..'bz' ) {
      $elem = StrElem( $i );
      $heap->add( $elem );
  }

  while( defined( $elem = $heap->extract_minimum ) ) {
      print "Smallest is ", $elem->val, "\n";
  }

DESCRIPTION
Heap::Elem::Str is used to wrap string values into an element that can be managed on a heap. The top of the heap will have the smallest element still remaining. (See Heap::Elem::StrRev if you want the heap to always return the largest element.)

The details of the Elem interface are described in Heap::Elem.

The details of using a Heap interface are described in Heap.

AUTHOR
John Macdonald, jmm@elegant.com

SEE ALSO
Heap(3), Heap::Elem(3), Heap::Elem::StrRev(3).